;;; 2025 YD

(define-module (glicid packages backup)

               #:use-module (guix packages) 
               #:use-module (guix download)
               #:use-module (guix build-system cargo)
               #:use-module ((guix licenses) #:prefix license:)
               #:use-module (gnu packages pkg-config)
               #:use-module (gnu packages compression)
               #:use-module (gnu packages crates-io)
               #:use-module (gnu packages crates-compression)
               #:use-module (gnu packages crates-web)
               #:use-module (gnu packages crates-check)
               #:use-module (glicid packages crates-imported)

               )

(define-public rustic-0.9
               (package
                 (name "rustic")
                 (version "0.9.5")
                 (source
                   (origin
                     (method url-fetch)
                     (uri (crate-uri "rustic-rs" version))
                     (file-name (string-append name "-" version ".tar.gz"))
                     (sha256
                       (base32 "0w9gqxbj9cfpi6isvfv7as14scwfjblmfsm0cxyfs43a8nd7s22g"))))
                 (build-system cargo-build-system)
                 (arguments
                   `(#:cargo-inputs (("rust-abscissa-core" ,rust-abscissa-core-0.8)
                                     ("rust-aho-corasick" ,rust-aho-corasick-1)
                                     ("rust-anyhow" ,rust-anyhow-1)
                                     ("rust-bytes" ,rust-bytes-1)
                                     ("rust-bytesize" ,rust-bytesize-1)
                                     ("rust-cached" ,rust-cached-0.54)
                                     ("rust-chrono" ,rust-chrono-0.4)
                                     ("rust-clap" ,rust-clap-4)
                                     ("rust-clap-complete" ,rust-clap-complete-4)
                                     ("rust-comfy-table" ,rust-comfy-table-7)
                                     ("rust-conflate" ,rust-conflate-0.3)
                                     ("rust-convert-case" ,rust-convert-case-0.6)
                                     ("rust-crossterm" ,rust-crossterm-0.28)
                                     ("rust-ctrlc" ,rust-ctrlc-3)
                                     ("rust-dateparser" ,rust-dateparser-0.2)
                                     ("rust-dav-server" ,rust-dav-server-0.7)
                                     ("rust-derive-more" ,rust-derive-more-1)
                                     ("rust-dialoguer" ,rust-dialoguer-0.11)
                                     ("rust-directories" ,rust-directories-5)
                                     ("rust-displaydoc" ,rust-displaydoc-0.2)
                                     ("rust-flate2" ,rust-flate2-1)
                                     ("rust-fuse-mt" ,rust-fuse-mt-0.6)
                                     ("rust-futures" ,rust-futures-0.3)
                                     ("rust-gethostname" ,rust-gethostname-0.5)
                                     ("rust-globset" ,rust-globset-0.4)
                                     ("rust-human-panic" ,rust-human-panic-2)
                                     ("rust-humantime" ,rust-humantime-2)
                                     ("rust-indicatif" ,rust-indicatif-0.17)
                                     ("rust-itertools" ,rust-itertools-0.13)
                                     ("rust-jaq-core" ,rust-jaq-core-2)
                                     ("rust-jaq-json" ,rust-jaq-json-1)
                                     ("rust-jaq-std" ,rust-jaq-std-2)
                                     ("rust-jemallocator-global" ,rust-jemallocator-global-0.3)
                                     ("rust-libc" ,rust-libc-0.2)
                                     ("rust-log" ,rust-log-0.4)
                                     ("rust-mimalloc" ,rust-mimalloc-0.1)
                                     ("rust-open" ,rust-open-5)
                                     ("rust-ratatui" ,rust-ratatui-0.29)
                                     ("rust-rhai" ,rust-rhai-1)
                                     ("rust-rustic-backend" ,rust-rustic-backend-0.5)
                                     ("rust-rustic-core" ,rust-rustic-core-0.7)
                                     ("rust-scopeguard" ,rust-scopeguard-1)
                                     ("rust-self-update" ,rust-self-update-0.39)
                                     ("rust-semver" ,rust-semver-1)
                                     ("rust-serde" ,rust-serde-1)
                                     ("rust-serde-json" ,rust-serde-json-1)
                                     ("rust-serde-with" ,rust-serde-with-3)
                                     ("rust-simplelog" ,rust-simplelog-0.12)
                                     ("rust-tar" ,rust-tar-0.4)
                                     ("rust-thiserror" ,rust-thiserror-2)
                                     ("rust-tokio" ,rust-tokio-1)
                                     ("rust-toml" ,rust-toml-0.8)
                                     ("rust-tui-textarea" ,rust-tui-textarea-0.7)
                                     ("rust-warp" ,rust-warp-0.3)
                                     ("rust-zip" ,rust-zip-2))
                     #:cargo-development-inputs (("rust-abscissa-core" ,rust-abscissa-core-0.8)
                                                 ("rust-assert-cmd" ,rust-assert-cmd-2)
                                                 ("rust-cfg-if" ,rust-cfg-if-1)
                                                 ("rust-dircmp" ,rust-dircmp-0.2)
                                                 ("rust-flate2" ,rust-flate2-1)
                                                 ("rust-insta" ,rust-insta-1)
                                                 ("rust-predicates" ,rust-predicates-3)
                                                 ("rust-pretty-assertions" ,rust-pretty-assertions-1)
                                                 ("rust-quickcheck" ,rust-quickcheck-1)
                                                 ("rust-quickcheck-macros" ,rust-quickcheck-macros-1)
                                                 ("rust-rstest" ,rust-rstest-0.23)
                                                 ("rust-rustic-testing" ,rust-rustic-testing-0.3)
                                                 ("rust-tar" ,rust-tar-0.4)
                                                 ("rust-tempfile" ,rust-tempfile-3)
                                                 ("rust-toml" ,rust-toml-0.8))))
                 (native-inputs (list pkg-config))
                 (inputs (list (list zstd "lib")))
                 (home-page "https://rustic.cli.rs/")
                 (synopsis "rustic - fast, encrypted, deduplicated backups powered by Rust")
                 (description "This package provides rustic - fast, encrypted, deduplicated backups powered by Rust.")
                 (license (list license:asl2.0 license:expat))))

