(define-module (glicid packages cluster)
               #:use-module (guix packages)
               #:use-module (guix download)
               #:use-module (gnu packages networking)
               #:use-module ((gnu packages cluster)
                             #:prefix gnu:)
               #:use-module (glicid utils))

(define-public keepalived-upstream-2.3.2
               (package
                 (inherit gnu:keepalived)
                 (name "keepalived-upstream")
                 (version "2.3.2")
                 (source (origin
                           (method url-fetch)
                           (uri (string-append "http://www.keepalived.org/software/keepalived-" version ".tar.gz"))
                           (sha256 (base32 "0q31i45d8bpnlzi1sbssj1r4x1jcb3xwsslip14qxyi3b8pa5x3p"))))))

(define-public keepalived-upstream-2.3.3
               (package
                 (inherit gnu:keepalived)
                 (name "keepalived-upstream")
                 (version "2.3.3")
                 (source (origin
                           (method url-fetch)
                           (uri (string-append "http://www.keepalived.org/software/keepalived-" version ".tar.gz"))
                           (sha256 (base32 "032ric7v2ins6r6za5yw0h12sx6fmhczmkks5dw5594zc33wb212"))))))


(define local:keepalived
  keepalived-upstream-2.3.3)
(define keepalived-latest
  (latest-version local:keepalived gnu:keepalived))

(define-public keepalived-glicid
               (package
                 (inherit keepalived-latest)
                 (name "keepalived-glicid")
                 (version (string-append (package-version keepalived-latest) "-glicid"))
                 (arguments
                   `(#:configure-flags (list (string-append "--enable-snmp")
                                             (string-append "--enable-snmp-checker")
                                             (string-append "--enable-snmp-rfc"))))
                 (inputs (modify-inputs (package-inputs keepalived-latest)
                                        (prepend net-snmp)))))
