(define-module (glicid packages golang)
               #:use-module (guix build-system go)
               #:use-module (guix download)
               #:use-module (guix git-download)
               #:use-module ((guix licenses) #:prefix license:)
               #:use-module (guix packages)
               #:use-module (gnu packages golang-build)
               #:use-module (gnu packages golang-check)
               #:use-module (gnu packages golang-xyz)
               #:use-module (gnu packages sssd)
               )

(define-public go-github-com-fatih-color-1.9.0
               (package
                 (name "go-github-com-fatih-color")
                 (version "1.9.0")
                 (source (origin
                           (method git-fetch)
                           (uri (git-reference
                                  (url "https://github.com/fatih/color")
                                  (commit (string-append "v" version))))
                           (file-name (git-file-name name version))
                           (sha256
                             (base32
                               "086z8ssmr1fn9ba4mqnw7pnccfpys6l5yfhvycv1gdrsk7n27mvs"))))
                 (build-system go-build-system)
                 (arguments
                   '(#:import-path "github.com/fatih/color"))
                 (propagated-inputs `(("go-github-com-mattn-go-isatty-0.0.11" ,go-github-com-mattn-go-isatty-0.0.11)
                                      ("go-github-com-mattn-go-colorable-0.1.4" ,go-github-com-mattn-go-colorable-0.1.4)))
                 (home-page "https://github.com/fatih/color")
                 (synopsis "color")
                 (description
                   "Package color is an ANSI color package to output colorized or SGR defined output
                   to the standard output. The API can be used in several way, pick one that suits
                   you.")
                   (license license:expat)))

(define-public go-github-com-pbnjay-memory-0.0.0-20190104145345-974d429e7ae4
               (package
                 (name "go-github-com-pbnjay-memory")
                 (version "0.0.0-20190104145345-974d429e7ae4")
                 (source (origin
                           (method git-fetch)
                           (uri (git-reference
                                  (url "https://github.com/pbnjay/memory")
                                  (commit (go-version->git-ref version))))
                           (file-name (git-file-name name version))
                           (sha256
                             (base32
                               "0kazg5psdn90pqadrzma5chdwh0l2by9z31sspr47gx93fhjmkkq"))))
                 (build-system go-build-system)
                 (arguments
                   '(#:import-path "github.com/pbnjay/memory"))
                 (home-page "https://github.com/pbnjay/memory")
                 (synopsis "memory")
                 (description
                   "Package memory provides a single method reporting total system memory accessible
                   to the kernel.")
                   (license license:bsd-3)))

(define-public go-golang-org-x-sys-0.0.0-20190222072716-a9d3bda3a223
               (package
                 (name "go-golang-org-x-sys")
                 (version "0.0.0-20190222072716-a9d3bda3a223")
                 (source (origin
                           (method git-fetch)
                           (uri (git-reference
                                  (url "https://go.googlesource.com/sys")
                                  (commit (go-version->git-ref version))))
                           (file-name (git-file-name name version))
                           (sha256
                             (base32
                               "1w45zc13xrjzl19s1sx74r5mg3lf2z2nm13wygcdq5r5pyjlhdz9"))))
                 (build-system go-build-system)
                 (arguments
                   '(#:import-path "golang.org/x/sys"))
                 (home-page "https://golang.org/x/sys")
                 (synopsis "sys")
                 (description
                   "This repository holds supplemental Go packages for low-level interactions with
                   the operating system.")
                   (license license:bsd-3)))

(define-public go-github-com-mattn-go-isatty-0.0.8
               (package
                 (name "go-github-com-mattn-go-isatty")
                 (version "0.0.8")
                 (source (origin
                           (method git-fetch)
                           (uri (git-reference
                                  (url "https://github.com/mattn/go-isatty")
                                  (commit (string-append "v" version))))
                           (file-name (git-file-name name version))
                           (sha256
                             (base32
                               "0rqfh1rj6f5wm8p2ky7inm8g10152p7w6n2cli17kf9gad797i8h"))))
                 (build-system go-build-system)
                 (arguments
                   '(#:import-path "github.com/mattn/go-isatty"))
                 (propagated-inputs `(("go-golang-org-x-sys-0.0.0-20190222072716-a9d3bda3a223" ,go-golang-org-x-sys-0.0.0-20190222072716-a9d3bda3a223)))
                 (home-page "https://github.com/mattn/go-isatty")
                 (synopsis "go-isatty")
                 (description "Package isatty implements interface to isatty")
                 (license license:expat)))

(define-public go-github-com-mattn-go-colorable-0.1.4
               (package
                 (name "go-github-com-mattn-go-colorable")
                 (version "0.1.4")
                 (source (origin
                           (method git-fetch)
                           (uri (git-reference
                                  (url "https://github.com/mattn/go-colorable")
                                  (commit (string-append "v" version))))
                           (file-name (git-file-name name version))
                           (sha256
                             (base32
                               "1yxcz08kminqr1221zxpibnbzfcgs3fafin0z9zqb3gqvf74jywz"))))
                 (build-system go-build-system)
                 (arguments
                   '(#:import-path "github.com/mattn/go-colorable"))
                 (propagated-inputs `(("go-github-com-mattn-go-isatty-0.0.8" ,go-github-com-mattn-go-isatty-0.0.8)))
                 (home-page "https://github.com/mattn/go-colorable")
                 (synopsis "go-colorable")
                 (description "Colorable writer for windows.")
                 (license license:expat)))

(define-public go-github-com-mattn-go-isatty-0.0.11
               (package
                 (name "go-github-com-mattn-go-isatty")
                 (version "0.0.11")
                 (source (origin
                           (method git-fetch)
                           (uri (git-reference
                                  (url "https://github.com/mattn/go-isatty")
                                  (commit (string-append "v" version))))
                           (file-name (git-file-name name version))
                           (sha256
                             (base32
                               "0h671sv7hfprja495kavazkalkx7xzaqksjh13brcnwq67ijrali"))))
                 (build-system go-build-system)
                 (arguments
                   '(#:import-path "github.com/mattn/go-isatty"))
                 (propagated-inputs `(("go-golang-org-x-sys-0.0.0-20191026070338-33540a1f6037" ,go-golang-org-x-sys-0.0.0-20191026070338-33540a1f6037)))
                 (home-page "https://github.com/mattn/go-isatty")
                 (synopsis "go-isatty")
                 (description "Package isatty implements interface to isatty")
                 (license license:expat)))

(define-public go-golang-org-x-sys-0.0.0-20191026070338-33540a1f6037
               (package
                 (name "go-golang-org-x-sys")
                 (version "0.0.0-20191026070338-33540a1f6037")
                 (source (origin
                           (method git-fetch)
                           (uri (git-reference
                                  (url "https://go.googlesource.com/sys")
                                  (commit (go-version->git-ref version))))
                           (file-name (git-file-name name version))
                           (sha256
                             (base32
                               "0fjcv0vzvi6za0b4xmnk3932pr9f9gczzf03y0kgq3ry9rqg169y"))))
                 (build-system go-build-system)
                 (arguments
                   '(#:import-path "golang.org/x/sys"))
                 (home-page "https://golang.org/x/sys")
                 (synopsis "sys")
                 (description
                   "This repository holds supplemental Go packages for low-level interactions with
                   the operating system.")
                   (license license:bsd-3)))

(define-public go-github-com-timescale-timescaledb-tune-0.14.3
               (package
                 (name "go-github-com-timescale-timescaledb-tune")
                 (version "0.14.3")
                 (source (origin
                           (method git-fetch)
                           (uri (git-reference
                                  (url "https://github.com/timescale/timescaledb-tune")
                                  (commit (string-append "v" version))))
                           (file-name (git-file-name name version))
                           (sha256
                             (base32
                               "02miqianhfw1qysyig2apdw6wgc72izbjwaqzm7jhfcnnw1vq21i"))))
                 (build-system go-build-system)
                 (arguments
                   '(#:import-path "github.com/timescale/timescaledb-tune"))
                 (propagated-inputs `(("go-golang-org-x-sys-0.0.0-20191026070338-33540a1f6037" ,go-golang-org-x-sys-0.0.0-20191026070338-33540a1f6037)
                                      ("go-github-com-mattn-go-isatty-0.0.11" ,go-github-com-mattn-go-isatty-0.0.11)
                                      ("go-github-com-mattn-go-colorable-0.1.4" ,go-github-com-mattn-go-colorable-0.1.4)
                                      ("go-github-com-pbnjay-memory-0.0.0-20190104145345-974d429e7ae4" ,go-github-com-pbnjay-memory-0.0.0-20190104145345-974d429e7ae4)
                                      ("go-github-com-fatih-color-1.9.0" ,go-github-com-fatih-color-1.9.0)))
                 (home-page "https://github.com/timescale/timescaledb-tune")
                 (synopsis "timescaledb-tune")
                 (description
                   "@@code{timescaledb-tune} is a program for tuning a
                   @@url{https://github.com/timescale/timescaledb-tune/blob/v0.14.3/timescale/timescaledb,TimescaleDB}
                   database to perform its best based on the host's resources such as memory and
                   number of CPUs. It parses the existing @@code{postgresql.conf} file to ensure
                   that the TimescaleDB extension is appropriately installed and provides
                   recommendations for memory, parallelism, WAL, and other settings.")
                   (license license:asl2.0)))

(define-public go-github-com-alexflint-go-arg
               (package
                 (name "go-github-com-alexflint-go-arg")
                 (version "1.5.1")
                 (source
                   (origin
                     (method git-fetch)
                     (uri (git-reference
                            (url "https://github.com/alexflint/go-arg")
                            (commit (string-append "v" version))))
                     (file-name (git-file-name name version))
                     (sha256
                       (base32 "0ip899829v9n0aqq1z30x8lnb60lirfgwqr4y2mckg8md8w31911"))))
                 (build-system go-build-system)
                 (arguments
                   (list
                     #:import-path "github.com/alexflint/go-arg"
                     #:tests? #f))
                 (propagated-inputs (list go-github-com-stretchr-testify
                                          go-github-com-alexflint-go-scalar))
                 (home-page "https://github.com/alexflint/go-arg")
                 (synopsis "Installation")
                 (description
                   "Package arg parses command line arguments using the fields from a struct.")
                 (license license:bsd-2)))


(define-public go-github-com-studio-b12-gowebdav
               (package
                 (name "go-github-com-studio-b12-gowebdav")
                 (version "0.10.0")
                 (source
                   (origin
                     (method git-fetch)
                     (uri (git-reference
                            (url "https://github.com/studio-b12/gowebdav")
                            (commit (string-append "v" version))))
                     (file-name (git-file-name name version))
                     (sha256
                       (base32 "10nzkrziz15n2a7ca3qfvbm1zrmlyg5aznwrar3ydgx7lnmd6dpf"))))
                 (build-system go-build-system)
                 (propagated-inputs (list go-golang-org-x-net))
                 (arguments
                   (list
                     #:import-path "github.com/studio-b12/gowebdav"))
                 (home-page "https://github.com/studio-b12/gowebdav")
                 (synopsis "GoWebDAV")
                 (description
                   "Package gowebdav is a @code{WebDAV} client library with a command line tool
                   included.")
                   (license license:bsd-3)))

(define-public go-github-com-alexflint-go-scalar
               (package
                 (name "go-github-com-alexflint-go-scalar")
                 (version "1.2.0")
                 (source
                   (origin
                     (method git-fetch)
                     (uri (git-reference
                            (url "https://github.com/alexflint/go-scalar")
                            (commit (string-append "v" version))))
                     (file-name (git-file-name name version))
                     (sha256
                       (base32 "1c78yd7w5sxdfmnhqk8c4cyb2by0cp9qh3ab19sz5b5avbpwcary"))))
                 (build-system go-build-system)
                 (arguments
                   (list
                     #:import-path "github.com/alexflint/go-scalar"
                     #:tests? #f))
                 (propagated-inputs (list go-github-com-stretchr-testify))
                 (home-page "https://github.com/alexflint/go-scalar")
                 (synopsis "Scalar parsing library")
                 (description
                   "Scalar is a library for parsing strings into arbitrary scalars (integers,
                   floats, strings, booleans, etc). It is helpful for tasks such as parsing
                 strings passed as environment variables or command line arguments.")
                 (license license:bsd-2)))

(define-public gshare
               (package 
                 (name "gshare")
                 (version "1.0.0")
                 (source (origin
                           (method git-fetch)
                           (uri (git-reference
                                  (url "https://forgejo.glicid.fr/GLiCID/gshare.git")
                                  (commit "main")))
                           (file-name (git-file-name name version))
                           (sha256 (base32 "0p809641y3m02x8jmn5c770adr2ircz63kkrpgi4dkmwi6ws4pch"))))
                 (build-system go-build-system)
                 (arguments (list
                              #:import-path "glicid/gshare"
                              #:tests? #f))
                 (propagated-inputs (list go-github-com-alexflint-go-arg
                                          go-github-com-dustin-go-humanize
                                          go-github-com-sirupsen-logrus
                                          go-github-com-studio-b12-gowebdav
                                          go-gopkg-in-yaml-v3
                                          go-github-com-alexflint-go-scalar
                                          go-golang-org-x-sys
                                          sssd))
                 (home-page "https://forgejo.glicid.fr/GLiCID/gshare.git")
                 (synopsis "gshare is a basic client for nextcloud webdav in go")
                 (description "gshare is a basic client for nextcloud webdav in go")
                 (license license:expat)))
