;; 2025 YD

(define-module (glicid packages password-utils)
  #:use-module (guix packages)
  #:use-module (guix download)
  #:use-module (guix build-system cargo)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (gnu packages)
  #:use-module (gnu packages crates-crypto)
  #:use-module (gnu packages crates-io)
  #:use-module (gnu packages pkg-config)
  #:use-module (gnu packages tls)
  #:use-module (gnu packages sqlite)
  #:use-module (glicid packages crates-imported))

(define-public vaultwarden-0.32
  (package
    (name "vaultwarden")
    (version "1.32.7")
    (source
     (origin
       (method url-fetch)
       (uri
        "https://github.com/dani-garcia/vaultwarden/archive/refs/tags/1.32.7.tar.gz")
       (patches (search-patches "glicid/packages/patches/vaultwarden-features-and-fix.patch"))
       (file-name (string-append name "-" version ".tar.gz"))
       (sha256
        (base32 "1py6hrqa9qf71lfyvk7di5lllflzqfs50xs2l4gggfzbynnfjlll"))))
    (build-system cargo-build-system)
    (arguments
     `(#:cargo-inputs (("rust-argon2" ,rust-argon2-0.5)
                       ("rust-cached" ,rust-cached-0.54)
                       ("rust-chrono-tz" ,rust-chrono-tz-0.10)
                       ("rust-dashmap" ,rust-dashmap-6)
                       ("rust-data-url" ,rust-data-url-0.3)
                       ("rust-diesel" ,rust-diesel-2)
                       ("rust-diesel-logger" ,rust-diesel-logger-0.4)
                       ("rust-diesel-migrations" ,rust-diesel-migrations-2)
                       ("rust-dotenvy" ,rust-dotenvy-0.15)
                       ("rust-email-address" ,rust-email-address-0.2)
                       ("rust-fern" ,rust-fern-0.7)
                       ("rust-governor" ,rust-governor-0.8)
                       ("rust-grass-compiler" ,rust-grass-compiler-0.13)
                       ("rust-handlebars" ,rust-handlebars-6)
                       ("rust-html5gum" ,rust-html5gum-0.7)
                       ("rust-job-scheduler-ng" ,rust-job-scheduler-ng-2)
                       ("rust-jsonwebtoken" ,rust-jsonwebtoken-9)
                       ("rust-lettre" ,rust-lettre-0.11)
                       ("rust-mimalloc" ,rust-mimalloc-0.1)
                       ("rust-pico-args" ,rust-pico-args-0.5)
                       ("rust-rmpv" ,rust-rmpv-1)
                       ("rust-rocket-ws" ,rust-rocket-ws-0.1)
                       ("rust-rpassword" ,rust-rpassword-7)
                       ("rust-time-0.3" ,rust-time-0.3)
                       ("rust-totp-lite" ,rust-totp-lite-2)
                       ("rust-webauthn-rs" ,rust-webauthn-rs-0.3)
                       ("rust-which" ,rust-which-7)
                       ("rust-yubico" ,rust-yubico-0.11)
                       ("rust-hickory-resolver" ,rust-hickory-resolver-0.24))
       ;; squlite now by default on cargo.toml by patch
       ))
    (native-inputs (list pkg-config))
    (inputs (list sqlite openssl))
    (home-page "https://github.com/dani-garcia/vaultwarden")
    (synopsis
     "Alternative implementation of the Bitwarden server API, compatible with the official clients")
    (description
     "This package provides Alternative implementation of the Bitwarden server API, compatible with the
official clients.")
    (license license:gpl3)))

