(define-module (glicid packages storage))

(use-modules (guix packages)
             (guix git-download)
             (guix download)
             (gnu packages)
             (gnu packages storage)
             (gnu packages crypto)
             (gnu packages python-xyz)
             (gnu packages linux)
             )

(define-public ceph-upstream
               (package
                 (inherit ceph)
                 (name "ceph-upstream")
                 (version "17.2.7")
                 (source (origin
                           (method url-fetch)
                           (uri (string-append "https://download.ceph.com/tarballs/ceph-" version ".tar.gz"))
                           (sha256 (base32 "1612424yrf39dz010ygz8k5x1vc8731549ckfj1r39dg00m62klp"))
                           (patches
                             (search-patches "ceph-disable-cpu-optimizations.patch"))
                           (modules '((guix build utils)))
                           (snippet
                             '(for-each delete-file-recursively
                                        '(
                                          "src/arrow"
                                          "src/c-ares"
                                          "src/fmt"
                                          "src/googletest"
                                          "src/rapidjson"
                                          "src/spdk"
                                          "src/rocksdb"
                                          "src/utf8proc")))))
                 (inputs (modify-inputs (package-inputs ceph) (append liburing libxcrypt)))
                 (native-inputs (modify-inputs (package-native-inputs ceph)
                                               (append python-wcwidth)))))

